Bug 8441 - USB permissions problem
: USB permissions problem
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/libgphoto2)
: unstable
: all Linux
: P2 normal
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2005-11-09 06:58 by
Modified: 2008-06-06 21:28 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2005-11-09 06:58:09
Broken permissions for usb devices in /proc make digikam and gphoto2 unusable in
PTP/Serial mode, when no mounting required. 

It seems like recent changes in pam0_console (pam0_console-0.99.1.0-alt3
installed) lead to failure of console owner detection in /etc/hotplug/usb/usbcam

lock file /var/run/console.lock was moved to /var/run/console/console.lock.

I have added this condition to /etc/hotplug/usb/usbcam to solve the problem:
-------
    if [ -f /var/run/console/console.lock ]
    then
        CONSOLEOWNER=`cat /var/run/console/console.lock`
-------

/usr/share/doc/libgphoto2-2.1.5/usbcam.console has to be changed also!
------- Comment #1 From 2007-01-18 07:35:23 -------
Fixed in upstream